[SCM] live-build branch, debian-next, updated. debian/3.0_a42-1-4-gb57a734
Daniel Baumann
daniel at debian.org
Sun Jan 22 19:53:13 UTC 2012
The following commit has been merged in the debian-next branch:
commit b57a7349c09f0f179cf761e7eda3e409683fcf60
Author: Daniel Baumann <daniel at debian.org>
Date: Sun Jan 22 20:52:33 2012 +0100
Updating lb_binary_syslinux for embedded syslinux themes.
diff --git a/functions/defaults.sh b/functions/defaults.sh
index c87819c..d73b862 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -1154,7 +1154,7 @@ Set_defaults ()
;;
*)
- LB_SYSLINUX_THEME="${LB_SYSLINUX_THEME:-debian-squeeze}"
+ LB_SYSLINUX_THEME="${LB_SYSLINUX_THEME:-live-build}"
;;
esac
diff --git a/scripts/build/lb_binary_syslinux b/scripts/build/lb_binary_syslinux
index e7ac9ba..d48ad58 100755
--- a/scripts/build/lb_binary_syslinux
+++ b/scripts/build/lb_binary_syslinux
@@ -47,51 +47,79 @@ Create_lockfile .lock
Check_architectures amd64 i386
Check_crossarchitectures
-case "${LB_BUILD_WITH_CHROOT}" in
- true)
- # Checking depends
- Check_package chroot/usr/bin/syslinux syslinux
- Check_package chroot/usr/share/syslinux/themes/${LB_SYSLINUX_THEME} syslinux-themes-${LB_SYSLINUX_THEME}
-
- case "${LB_MODE}" in
- ubuntu)
- Check_package chroot/usr/share/gfxboot-theme-ubuntu/bootlogo.tar.gz gfxboot-theme-ubuntu
- ;;
- esac
-
- # Restoring cache
- Restore_cache cache/packages_binary
-
- # Installing depends
- Install_package
- ;;
-esac
-
# Assembling image specifics
case "${LB_BINARY_IMAGES}" in
iso*)
_BOOTLOADER="isolinux"
- _SUFFIX="binary/isolinux"
+ _TARGET="binary/isolinux"
;;
net*)
_BOOTLOADER="pxelinux"
- _SUFFIX="tftpboot"
+ _TARGET="tftpboot"
;;
hdd*|*)
_BOOTLOADER="syslinux"
- _SUFFIX="binary/syslinux"
+ _TARGET="binary/syslinux"
;;
esac
+# FIXME: cleanup, unify, and extend themes for ${_BOOTLOADER}-live and ${_BOOTLOADER}-installer
+if [ "${LB_SYSLINUX_THEME}" = "live-build" ]
+then
+ if [ -e "config/bootloaders/${_BOOTLOADER}" ]
+ then
+ # Internal local copy
+ _SOURCE="config/bootloaders/${_BOOTLOADER}"
+ else
+ # Internal system copy
+ _SOURCE="${LB_BASE:-/usr/share/live/build}/share/bootloaders/${_BOOTLOADER}"
+ fi
+else
+ # External copy
+ case "${LB_BUILD_WITH_CHROOT}" in
+ true)
+ # Checking depends
+ Check_package chroot/usr/share/syslinux/themes/${LB_SYSLINUX_THEME} syslinux-themes-${LB_SYSLINUX_THEME}
+
+ case "${LB_MODE}" in
+ ubuntu)
+ Check_package chroot/usr/share/gfxboot-theme-ubuntu/bootlogo.tar.gz gfxboot-theme-ubuntu
+ ;;
+ esac
+
+ _SOURCE="/usr/share/syslinux/themes/${LB_SYSLINUX_THEME}/${_BOOTLOADER}-live"
+ ;;
+
+ false)
+ if [ ! -e "/usr/share/syslinux/themes/${LB_SYSLINUX_THEME}/${_BOOTLOADER}" ]
+ then
+ Echo_error "/usr/share/syslinux/themes/${LB_SYSLINUX_THEME}/${_BOOTLOADER} - no such directory."
+ exit 1
+ fi
+
+ _SOURCE="/usr/share/syslinux/themes/${LB_SYSLINUX_THEME}/${_BOOTLOADER}-live"
+ ;;
+ esac
+fi
+
+# Checking depends
+Check_package chroot/usr/bin/syslinux syslinux
+
+# Restoring cache
+Restore_cache cache/packages_binary
+
+# Installing depends
+Install_package
+
# Copying files
-mkdir -p ${_SUFFIX}
+mkdir -p "${_TARGET}"
case "${LB_BUILD_WITH_CHROOT}" in
true)
# Copy in two steps since the theme can have absolute symlinks and would therefore not be dereferenced correctly
- Chroot chroot "cp -aL /usr/share/syslinux/themes/${LB_SYSLINUX_THEME}/${_BOOTLOADER}-live /root/tmp"
+ Chroot chroot "cp -aL ${_SOURCE} /root/tmp"
case "${LB_MODE}" in
ubuntu)
@@ -99,32 +127,32 @@ case "${LB_BUILD_WITH_CHROOT}" in
;;
esac
- mv chroot/root/tmp/* ${_SUFFIX}
+ mv chroot/root/tmp/* ${_TARGET}
rmdir chroot/root/tmp
;;
false)
- cp -aL /usr/share/syslinux/themes/${LB_SYSLINUX_THEME}/${_BOOTLOADER}-live/* ${_SUFFIX}
+ cp -aL ${_SOURCE}/* ${_TARGET}
case "${LB_MODE}" in
ubuntu)
- tar xfz /usr/share/gfxboot-theme-ubuntu/bootlogo.tar.gz -C ${_SUFFIX}
+ tar xfz /usr/share/gfxboot-theme-ubuntu/bootlogo.tar.gz -C ${_TARGET}
;;
esac
;;
esac
# Configuring files
-if [ -e ${_SUFFIX}/live.cfg ]
+if [ -e ${_TARGET}/live.cfg ]
then
sed -i -e "s|@LB_BOOTAPPEND_LIVE@|${LB_BOOTAPPEND_LIVE}|g" \
- ${_SUFFIX}/live.cfg
+ ${_TARGET}/live.cfg
fi
-if [ -e ${_SUFFIX}/install.cfg ]
+if [ -e ${_TARGET}/install.cfg ]
then
sed -i -e "s|@LB_BOOTAPPEND_INSTALL@|${LB_BOOTAPPEND_INSTALL}|g" \
- ${_SUFFIX}/install.cfg
+ ${_TARGET}/install.cfg
fi
case "${LB_BUILD_WITH_CHROOT}" in
--
live-build
More information about the debian-live-changes
mailing list